require_relative "hero"
require_relative "jewel"
require_relative "playable_mixin"

module DiabloGame
  class BlacksmithPlayer < Hero
    def dig(jewel)
      bonus_dig = Jewel.new(jewel.name, jewel.points * 3)
      super(bonus_dig)
    end
    
    def hit
      @health -= 60
      puts "#{@name} was hit! Health is now: #{@health}"
    end
    
  end
  
end

if __FILE__ == $0
  blacksmith = DiabloGame::BlacksmithPlayer.new("Blacksmith", 100)

  coal = DiabloGame::Jewel.new(:coal, 5)

  puts blacksmith
  blacksmith.dig(coal)
  blacksmith.hit
  puts blacksmith  
  
end