require_relative "playable_mixin"

module DiabloGame
  class Hero
    include Playable
    
    attr_reader :health
    attr_accessor :name
    
    def initialize(name, health=100)
      @name = name.capitalize
      @health = health
      @found_jewel = Hash.new(0)
    end

    def name=(new_name)
      @name = new_name.capitalize
    end

    def points
      @found_jewel.values.reduce(0,:+)
    end

    def to_s
      "#{@name} has health of #{@health} and a total of #{points} item points."
    end
    
    def dig(jewel)
      @found_jewel[jewel.name] += jewel.points
      puts "#{@name} digs for #{jewel.name} worth #{jewel.points} points. Satchel: #{@found_jewel}."
    end
    
  end

end

if __FILE__ == $0
  puts "Test: hero.rb".ljust(70,'.')
  hero1 = DiabloGame::Hero.new("Hero")
  puts hero1
  hero1.hit
  hero1.heal
  puts hero1



end