module DiabloGame
  module PrintStats
    
    def print_stats
      dead_heroes = @heroes.select { |hero| hero.dead?}
      survive_heroes = @heroes.reject { |hero| hero.dead?}
      sorted_survive_heroes = survive_heroes.sort {|a,b| b.points <=> a.points}
      
      puts "\n#{title} survivor total points:"
      sorted_survive_heroes.each do |hero|
        formatted_name = hero.name.ljust(20,'.')
        puts "#{formatted_name} #{hero.points}"
      end
      
      puts "\n#{title} dead heroes:"
      dead_heroes.each do |hero|
        formatted_name = hero.name.ljust(20,'.')
        puts "#{formatted_name} Dead!"
      end
    end
  end

end